Bug 391861 - no error message when wrong part specified
no error message when wrong part specified
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-20 05:28 EST by Jan Hutař
Modified: 2008-01-22 10:52 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.3-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 10:52:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2007-11-20 05:28:25 EST
Description of problem:
When I mistakenly entered path to a iso image in the "Partition" field while 
creating new CDROM, pressing "Forward" button does not have any effect and no 
error message is displayed.


Version-Release number of selected component (if applicable):
virt-manager-0.5.2-2.fc8
libvirt-0.3.3-2.fc8


How reproducible:
always


Steps to Reproduce:
1. Details > Hardware tab > Add button > Hardware type: Storage device > Forward
2. ### now I made a mistake: I want CDROM to be my iso image, but I selected
   ### "Normal Disk Partition" and entered path to the iso image
3. click to the Forward button


Actual results:
no warning, only trace-back in the command line which said me what is going on 
and what should I do:

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/addhardware.py", line 223, in 
forward
    if(self.validate(notebook.get_current_page()) != True):
  File "/usr/share/virt-manager/virtManager/addhardware.py", line 725, in 
validate
    device=device)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 93, in 
__init__
    raise ValueError, _("The specified path is not a block device.")
ValueError: The specified path is not a block device.


Expected results:
GUI warning displayed saying "The specified path is not a block device."


Additional info:
This is really not to important, but it can be confusing.
Comment 1 Cole Robinson 2007-12-04 12:55:06 EST
A fix for this has been committed upstream:

http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=632472746706

I'll close the bug when this is pushed to Fedora.
Comment 2 Fedora Update System 2008-01-11 17:23:36 EST
virt-manager-0.5.3-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager'
Comment 3 Fedora Update System 2008-01-22 10:52:17 EST
virt-manager-0.5.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.